Package weka.core

# Interface AdditionalMeasureProducer

All Known Implementing Classes:
  `AdditiveRegression`, `ADTree`, `AttributeSelectedClassifier`, `AveragingResultProducer`, `Bagging`, `BallTree`, `BayesNet`, `BayesNetGenerator`, `BFTree`, `BIFReader`, `ClassifierSplitEvaluator`, `CostSensitiveClassifierSplitEvaluator`, `CoverTree`, `CrossValidationResultProducer`, `DatabaseResultProducer`, `DecisionTable`, `DensityBasedClustererSplitEvaluator`, `DTNB`, `EditableBayesNet`, `FT`, `GridSearch`, `IBk`, `J48`, `J48graft`, `JRip`, `KDTree`, `LADTree`, `LearningRateResultProducer`, `LinearNNSearch`, `LMT`, `M5Base`, `M5P`, `M5Rules`, `NBTree`, `NearestNeighbourSearch`, `PART`, `PerformanceStats`, `RandomForest`, `RandomSplitResultProducer`, `RegressionSplitEvaluator`, `REPTree`, `Ridor`, `SimpleCart`, `SimpleLogistic`, `SMOreg`, `TreePerformanceStats`

public interface AdditionalMeasureProducer
Interface to something that can produce measures other than those calculated by evaluation modules.

Version:
  $Revision: 1.8 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`enumerateMeasures()`
Returns an enumeration of the measure names.
`double`
`getMeasure(String measureName)`
Returns the value of the named measure

## Method Details

### enumerateMeasures

Enumeration enumerateMeasures()
Returns an enumeration of the measure names. Additional measures must follow the naming convention of starting with "measure", eg. double measureBlah()

Returns:
  an enumeration of the measure names

### getMeasure

double getMeasure(String measureName)
Returns the value of the named measure

Parameters:
  `measureName` - the name of the measure to query for its value
Returns:
  the value of the named measure
Throws:
  `IllegalArgumentException` - if the named measure is not supported